---
layout: page
title: proxmox_virtual_environment_apt_standard_repository
parent: Data Sources
subcategory: Virtual Environment
description: |-
  Retrieves an APT standard repository from a Proxmox VE cluster.
---

# Data Source: proxmox_virtual_environment_apt_standard_repository

Retrieves an APT standard repository from a Proxmox VE cluster.

## Example Usage

```terraform
data "proxmox_virtual_environment_apt_standard_repository" "example" {
  handle = "no-subscription"
  node   = "pve"
}

output "proxmox_virtual_environment_apt_standard_repository" {
  value = data.proxmox_virtual_environment_apt_standard_repository.example
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `handle` (String) The handle of the APT standard repository.
- `node` (String) The name of the target Proxmox VE node.

### Read-Only

- `description` (String) The description of the APT standard repository.
- `file_path` (String) The absolute path of the source list file that contains this standard repository.
- `id` (String) The unique identifier of this APT standard repository data source.
- `index` (Number) The index within the defining source list file.
- `name` (String) The name of the APT standard repository.
- `status` (Number) Indicates the activation status.
