---
layout: page
title: proxmox_virtual_environment_hardware_mapping_pci
parent: Data Sources
subcategory: Virtual Environment
description: |-
  Retrieves a PCI hardware mapping from a Proxmox VE cluster.
---

# Data Source: proxmox_virtual_environment_hardware_mapping_pci

Retrieves a PCI hardware mapping from a Proxmox VE cluster.

## Example Usage

```terraform
data "proxmox_virtual_environment_hardware_mapping_pci" "example" {
  name = "example"
}

output "data_proxmox_virtual_environment_hardware_mapping_pci" {
  value = data.proxmox_virtual_environment_hardware_mapping_pci.example
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `name` (String) The name of this PCI hardware mapping.

### Read-Only

- `comment` (String) The comment of this PCI hardware mapping.
- `id` (String) The unique identifier of this PCI hardware mapping data source.
- `map` (Attributes Set) The actual map of devices for the hardware mapping. (see [below for nested schema](#nestedatt--map))
- `mediated_devices` (Boolean) Indicates whether to use with mediated devices.

<a id="nestedatt--map"></a>
### Nested Schema for `map`

Read-Only:

- `comment` (String) The comment of the mapped PCI device.
- `id` (String) The ID attribute of the map.
- `iommu_group` (Number) The IOMMU group attribute of the map.
- `node` (String) The node name attribute of the map.
- `path` (String) The path attribute of the map.
- `subsystem_id` (String) The subsystem ID attribute of the map.Not mandatory for the Proxmox VE API call, but causes a PCI hardware mapping to be incomplete when not set.
