---
layout: page
title: proxmox_virtual_environment_hardware_mapping_usb
parent: Data Sources
subcategory: Virtual Environment
description: |-
  Retrieves a USB hardware mapping from a Proxmox VE cluster.
---

# Data Source: proxmox_virtual_environment_hardware_mapping_usb

Retrieves a USB hardware mapping from a Proxmox VE cluster.

## Example Usage

```terraform
data "proxmox_virtual_environment_hardware_mapping_usb" "example" {
  name = "example"
}

output "data_proxmox_virtual_environment_hardware_mapping_usb" {
  value = data.proxmox_virtual_environment_hardware_mapping_usb.example
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `name` (String) The name of this USB hardware mapping.

### Read-Only

- `comment` (String) The comment of this USB hardware mapping.
- `id` (String) The unique identifier of this USB hardware mapping data source.
- `map` (Attributes Set) The actual map of devices for the hardware mapping. (see [below for nested schema](#nestedatt--map))

<a id="nestedatt--map"></a>
### Nested Schema for `map`

Read-Only:

- `comment` (String) The comment of the mapped USB device.
- `id` (String) The ID attribute of the map.
- `node` (String) The node name attribute of the map.
- `path` (String) The path attribute of the map.
