---
layout: page
title: proxmox_virtual_environment_hardware_mappings
parent: Data Sources
subcategory: Virtual Environment
description: |-
  Retrieves a list of hardware mapping resources.
---

# Data Source: proxmox_virtual_environment_hardware_mappings

Retrieves a list of hardware mapping resources.

## Example Usage

```terraform
data "proxmox_virtual_environment_hardware_mappings" "example-dir" {
  check_node = "pve"
  type       = "dir"
}

data "proxmox_virtual_environment_hardware_mappings" "example-pci" {
  check_node = "pve"
  type       = "pci"
}

data "proxmox_virtual_environment_hardware_mappings" "example-usb" {
  check_node = "pve"
  type       = "usb"
}

output "data_proxmox_virtual_environment_hardware_mappings_pci" {
  value = data.proxmox_virtual_environment_hardware_mappings.example-pci
}

output "data_proxmox_virtual_environment_hardware_mappings_usb" {
  value = data.proxmox_virtual_environment_hardware_mappings.example-usb
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `type` (String) The type of the hardware mappings.

### Optional

- `check_node` (String) The name of the node whose configurations should be checked for correctness.

### Read-Only

- `checks` (Attributes List) Might contain relevant diagnostics about incorrect configurations. (see [below for nested schema](#nestedatt--checks))
- `id` (String) The unique identifier of this hardware mappings data source.
- `ids` (Set of String) The identifiers of the hardware mappings.

<a id="nestedatt--checks"></a>
### Nested Schema for `checks`

Read-Only:

- `mapping_id` (String) The corresponding hardware mapping ID of the node check diagnostic entry.
- `message` (String) The message of the node check diagnostic entry.
- `severity` (String) The severity of the node check diagnostic entry.
